import { Component, Prop, Vue } from 'vue-property-decorator'
import VueClipboard from 'vue-clipboard2'
import { Registers } from '@/classes/DTO/Registers'
import httpClient from '@/api/Main/HttpClient'

Vue.use(VueClipboard)

@Component
export default class Mocks extends Vue {
  @Prop()
  personalId!: string

  registers = new Registers()

  mounted () {
    console.log('mounted')
  }

  saveMocks () {
    httpClient.mockConfigurations({ personalId: '48907031677' })
      .then((data: any) => {
        console.log('saveMocks')
        console.log(data)
      })
  }
}
